%define major_version	2
%define minor_version	0
%define revision	10

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps
Version:	%{major_version}.%{minor_version}.%{revision}
Release:	3mdk
License:	GPL
Group:		Monitoring
BuildRequires: gpm-devel, ncurses-devel
URL:		http://surriel.com/procps/
Source:		http://surriel.com/procps/procps-%{version}.tar.bz2
Patch0:		procps-2.0.10-sysctlshutup.patch.bz2
Patch2:		procps-2.0.7-locale.patch.bz2
Patch3:		procps-2.0.7-negvalue.patch.bz2
Patch4:		procps-2.0.7-retcode.patch.bz2
Patch5:		procps-2.0.7-biguid.patch.bz2
Patch7:		procps-2.0.7-sysctl-error.patch.bz2

Patch10:	procps-2.0.7-makefile.patch.bz2
Patch11:	procps-2.0.7-shutupmsg.patch.bz2
Patch12:	procps-2.0.7-uptime.patch.bz2

# from http://www.openwall.com/linux/linux-2.2.20-ow1.tar.gz
Patch20:	procps-2.0.6-ow1.diff.bz2

Patch50:	procps-2.0.10-top-fix.patch.bz2

BuildRoot:	%{_tmppath}/procps-root
Provides:	libproc.so.%{major_version}.%{minor_version}
Prereq: /bin/rm

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w
and watch.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes. 
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.

%package X11
Group:		Monitoring
Summary:	An X based system message monitoring utility

%description X11
The procps-X11 package contains X Window System utilities for monitoring your
system. The utilities contained in this package generally provide graphical
representations of the information provided by the tools in the procps package.

You can install the procps-X11 package if you'd like to use a graphical system
monitoring utility.

%package devel
Group:		Development/C
Summary:	An X based system message monitoring utility
Requires:	%name = %version

%description devel
Developement headers and library for the proc library.

%prep
%define __patch            /usr/bin/patch -l

%setup -q
%patch0 -p1 -b .sysctl
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch7 -p1

#%patch10 -p0
#%patch11 -p1
#%patch12 -p1

#%patch20 -p1 -b .owl
%patch50 -p0

%build
PATH=/usr/X11R6/bin:$PATH
perl -pi -e 's/ --owner 0 --group 0//g' Makefile
OWNERGROUP='' make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{{/usr,}/bin,/sbin,%_mandir/man{1,5,8},%_lib}
mkdir -p $RPM_BUILD_ROOT{/etc/X11/applnk/Utilities/,/usr/X11R6/bin}
mkdir -p $RPM_BUILD_ROOT/%{_lib}

#make MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT SHLIBDIR=$RPM_BUILD_ROOT/%{_lib} install
%makeinstall_std

#mkdir -p $RPM_BUILD_ROOT/%{_lib}
#cp -a proc/lib* $RPM_BUILD_ROOT/%{_lib}
pushd $RPM_BUILD_ROOT/%{_lib} && {
ln -sf libproc.so.%{version} libproc.so
ln -sf libproc.so.%{version} libproc.so.%{major_version}.%{minor_version}
} && popd

rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/kill.1*

mkdir -p $RPM_BUILD_ROOT%{_includedir}/procps
install -m 644 proc/*.h $RPM_BUILD_ROOT%{_includedir}/procps

rm -f $RPM_BUILD_ROOT%_bindir/kill

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS BUGS TODO
%attr(755,root,root) /%{_lib}/libproc.so.*
%attr(755,root,root) /bin/ps
%attr(755,root,root) /sbin/sysctl
%attr(755,root,root) %{_bindir}/free
%attr(755,root,root) %{_bindir}/oldps
%attr(755,root,root) %{_bindir}/pgrep
%attr(755,root,root) %{_bindir}/pmap
%attr(755,root,root) %{_bindir}/pkill
%attr(755,root,root) %{_bindir}/skill
%attr(755,root,root) %{_bindir}/snice
%attr(755,root,root) %{_bindir}/tload
%attr(755,root,root) %{_bindir}/top
%attr(755,root,root) %{_bindir}/uptime
%attr(755,root,root) %{_bindir}/vmstat
%attr(755,root,root) %{_bindir}/w
%attr(755,root,root) %{_bindir}/watch

%attr(0644,root,root) %{_mandir}/man1/free.1.bz2
%attr(0644,root,root) %{_mandir}/man1/ps.1.bz2
%attr(0644,root,root) %{_mandir}/man1/skill.1.bz2
%attr(0644,root,root) %{_mandir}/man1/snice.1.bz2
%attr(0644,root,root) %{_mandir}/man1/tload.1.bz2
%attr(0644,root,root) %{_mandir}/man1/top.1.bz2
%attr(0644,root,root) %{_mandir}/man1/uptime.1.bz2
%attr(0644,root,root) %{_mandir}/man1/w.1.bz2
%attr(0644,root,root) %{_mandir}/man1/watch.1.bz2
%attr(0644,root,root) %{_mandir}/man1/pgrep.1.bz2
%attr(0644,root,root) %{_mandir}/man1/pkill.1.bz2

%attr(0644,root,root) %{_mandir}/man5/sysctl.conf.5.bz2

%attr(0644,root,root) %{_mandir}/man8/vmstat.8.bz2
%attr(0644,root,root) %{_mandir}/man8/sysctl.8.bz2
/etc/X11/applnk/Utilities/top.desktop
%_mandir/man1/oldps.*

%files X11
%attr(0755,root,root) /usr/X11R6/bin/XConsole

%files devel
%defattr(-,root,root)
%{_includedir}/procps/*
/%{_lib}/libproc.so

%changelog
* Wed Jan 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.10-3mdk
- patch 0 : re shut up sysctl

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.10-2mdk
- patch50: top fix (J.A. Magallon)

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.10-1mdk
- new release
- fix url

* Wed Aug 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.7-14mdk
- add url (Yura Gusev)
- rpmlint fixes

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2-13mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Jul 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.7-12mdk
- rpmlint fixes: strange-permission, hardcoded-library-path

* Mon Mar 18 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-11mdk
- patch from OpenWall to have a working w with the secure kernel. (Martin Maok)

* Wed Feb 27 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-10mdk
- Make uptime report more than 200 days (Caleb Crome <ccrome@yahoo.com>).

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-9mdk
- Readapt my shutupmsg patch of the last year ago ;p.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-8mdk
- Merge rh patches.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-7mdk
- Prereq: /bin/rm (Pedro Rosa <prosa@ksu.ru>)

* Tue Sep 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.7-6mdk
- Added a patch for the bug when locale aren't set to 'en' and top kill
  terminal.
- bzip all patch.

* Wed Aug  9 2000 Alexandre Dussart <adussart@mandrakesoft.com> 2.0.7-5mdk
- Headers go to /usr/include/procps now.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-3mdk
- Remove kill manpage to avoid conflicts with util-linux.

* Fri Jul 21 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0.7-2mdk
- Human readble description
- Use %%{_tmppath} for BuildRoot

* Fri Jul 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.7-1mdk
- updated.
- removed not needed anymore patch : 
	- procps-proto-fix.patch.bz2 
	- procps-2.0.6-sysmap.patch.bz2
	- procps-2.0.6-include.patch.bz2
	- procps-2.0.6-Makefile.patch.bz2
- added patch procps-2.0.7-makefile.patch
- install new manpages / binary.
- create man5 directory.
- pass mandir as a make argument.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-13mdk
- added devel package.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> %{major_version}.%{minor_version}.%{revision}-13mdk
- added 

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> %version-12mdk
- fix postin / postun.
- .so in devel package

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.6-11mdk
- Added a patch to fix an include compile time problem with new glibc.
- Fix group.
- Url wasn't pointing to the main procps site.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-9mdk
- Fix sysctly_shut_your_mouth patch.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-8mdk
- By default shut up the mouth of sysctl (and add the -v option to verbose it).

* Sat Mar 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-7mdk
- Add /sbin/sysctl in %files.

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed a wrong function prototype which made sparc's ps try to divide by zero

* Mon Jan 3 2000 Florent Villard <warly@mandrakesoft.com> 2.0.6-5mdk
- fix libproc.so problem

* Fri Dec 31 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-4mdk
- add link /lib/libproc.so to /lib/libproc.so.2.0.6

* Thu Dec 30 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-3mdk
- correct path permissions

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Provides: libproc.so.2.0

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5.
- include more manpages.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc (it was only availlable to root)

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/ prereq dev

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- FIx small bug with the /usr/X11R6/bin/

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- bzip2 man pages
- update to 2.0.2
- add de locale
- Mandrake adaptions
